Package com.arms.egovframework.javaservice.treeframework.dao

## Class TreeDaoImpl<T extends TreeSearchEntity>

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate5.support.HibernateDaoSupport
    - - com.arms.egovframework.javaservice.treeframework.dao.TreeAbstractDao<T,​java.io.Serializable>
      - - com.arms.egovframework.javaservice.treeframework.dao.TreeDaoImpl<T>

- All Implemented Interfaces:
    `TreeDao<T,​java.io.Serializable>`, `org.springframework.beans.factory.InitializingBean`

      @Repository("treeDao")
      public class TreeDaoImpl<T extends TreeSearchEntity>
      extends TreeAbstractDao<T,​java.io.Serializable>
      implements TreeDao<T,​java.io.Serializable>

- - ### Field Summary

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeDaoImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<T>` | `getClazz()` |
    `protected java.lang.Class<T>` | `getEntityClass()` |
    `void` | `setClazz​(java.lang.Class<T> clazzToSet)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.dao.TreeAbstractDao

      `bulkInsert, bulkUpdate, createDetachedCriteria, createDetachedCriteria, delete, deleteAll, deleteById, excute, find, find, getByID, getCount, getCount, getCount, getCurrentSession, getGroupByCount, getGroupByList, getGroupByList, getList, getList, getList, getList, getList, getList, getListWithoutPaging, getListWithoutPaging, getListWithoutPaging, getListWithoutPaging, getPaginatedList, getSum, getSum, getUnique, getUnique, getUnique, getUnique, getUnique, init, insert, merge, refresh, search, store, storeOrUpdate, update`

    - ### Methods inherited from class org.springframework.orm.hibernate5.support.HibernateDaoSupport

      `checkDaoConfig, createHibernateTemplate, currentSession, getHibernateTemplate, getSessionFactory, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet, initDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.dao.TreeDao

      `bulkInsert, bulkUpdate, createDetachedCriteria, createDetachedCriteria, delete, deleteAll, deleteById, excute, find, find, getCount, getCount, getCount, getCurrentSession, getGroupByCount, getGroupByList, getGroupByList, getList, getList, getList, getList, getList, getList, getListWithoutPaging, getListWithoutPaging, getListWithoutPaging, getListWithoutPaging, getPaginatedList, getSum, getSum, getUnique, getUnique, getUnique, getUnique, getUnique, insert, merge, refresh, search, store, storeOrUpdate, update`

- - ### Constructor Detail

    - #### TreeDaoImpl

          public TreeDaoImpl()

  - ### Method Detail

    - #### getClazz

          public java.lang.Class<T> getClazz()

      Specified by:
        `getClazz` in interface `TreeDao<T extends TreeSearchEntity,​java.io.Serializable>`

    - #### setClazz

          public void setClazz​(java.lang.Class<T> clazzToSet)

      Specified by:
        `setClazz` in interface `TreeDao<T extends TreeSearchEntity,​java.io.Serializable>`

    - #### getEntityClass

          protected java.lang.Class<T> getEntityClass()

      Specified by:
        `getEntityClass` in class `TreeAbstractDao<T extends TreeSearchEntity,​java.io.Serializable>`